Skip to main content
GET
/
api
/
v1
/
samples
/
public
GET samples instances_public
curl --request GET \
  --url https://app.onecodex.com/api/v1/samples/public \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.onecodex.com/api/v1/samples/public"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.onecodex.com/api/v1/samples/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "$uri": "/api/v1/samples/0d77065796f8d173",
    "created_at": "2023-11-07T05:31:56Z",
    "metadata": {
      "__DOLLAR_REF__": "/api/v1/metadata/a1b2c3d4e5f67890"
    },
    "owner": {
      "__DOLLAR_REF__": "/api/v1/users/a1b2c3d4e5f67890"
    },
    "primary_classification": {
      "__DOLLAR_REF__": "/api/v1/classifications/a1b2c3d4e5f67890"
    },
    "error_msg": "<string>",
    "filename": "<string>",
    "project": {
      "__DOLLAR_REF__": "/api/v1/projects/a1b2c3d4e5f67890"
    },
    "size": 123,
    "tags": [],
    "updated_at": "2023-11-07T05:31:56Z"
  }
]
GET all publicly-listed samples. Returns a paginated list of Samples.

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number. Defaults to 1. See Pagination for more details.

per_page
integer<int32>
default:50

Number of requested paginated records. Defaults to 50. See Pagination for more details.

sort
string | null

Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)

where
string | null

Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}

Response

200 - application/json

OK

$uri
string
required
read-only
Pattern: ^/api/v1/samples/[a-f0-9]{16}$
Example:

"/api/v1/samples/0d77065796f8d173"

created_at
string<date-time>
required

Timestamp for when the object was created on the One Codex platform, encoded as a RFC 3339 timestamp.

metadata
metadata · object
required

A metadata object.

owner
users · object
required

The owner of the sample.

primary_classification
classifications · object | null
required

A reference to a Classification for the sample. This will typically be the One Codex Database or Targeted Loci Database results as appropriate. Note that samples will not have a primary_classification while they are still importing or being uploaded.

status
enum<string>
required

Enum for user-facing data status.

This is a subset of DataStatus for the status attribute in the APIs.

Available options:
awaiting_data,
importing,
validating,
failed_validation,
available,
deleted
visibility
enum<string>
required

Enum for the v1 API visibility attribute.

Note: this is legacy and only exists for backwards-compatibility in the public v1 API.

Available options:
public,
shared,
private,
importing,
awaiting data
error_msg
string | null

An error message if the sample failed to upload, import, or validate.

filename
string | null

The sample filename.

project
projects · object

The project the sample belongs to (optional).

size
integer | null

The size of the uploaded file in bytes.

tags
tags · object[]

An (optionally empty) array of references to Tags describing the sample. Tags are an additional unstructured organizational tool that complement Projects and Metadata records.

updated_at
string<date-time> | null

Timestamp for when the object was last updated on the One Codex platform, encoded as a RFC 3339 timestamp.